DECOM LFR - Feature #109

**R2** Ajout de la gestion des paquets ASM et BP
01/04/2014 03:13 PM - bruno katra

Status: Closed Start date: 01/04/2014
Priority: Immediate Due date:

Assignee: bruno katra % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Nécessité des BP pour SSS-CP-EQS-450 et SSS-CP-EQS-460

History

#1 - 11/04/2014 05:05 PM - bruno katra
- Status changed from New to In Progress

- % Done changed from 0 to 40

A partir de r39 :
Les paquets ASM sont lus correctement. Testé sur das ASM FO OK

#2 - 25/06/2014 03:17 PM - bruno katra
- Description updated

- Priority changed from Normal to Urgent

#3 - 30/09/2014 05:34 PM - bruno katra

- Priority changed from Urgent to Immediate

#4 - 14/10/2014 12:27 PM - bruno katra

r43 : les valeurs asm étaient écrites sans séparateurs. Corrigé.

#5 - 15/10/2014 10:57 AM - thomas chust

r47: aprés chaque paquet (de 44, 52 ou 48 lignes) il y a un retour charriot de trop => a supprimer
Sinon au dela des produits ASM: changer "Raw Integer (2"-16 units)" en "Raw Integer (unit of 2*-16 seconds)" smile.png

#6 - 15/10/2014 03:55 PM - bruno katra

thomas chust wrote:

r47: apres chaque paquet (de 44, 52 ou 48 lignes) il y a un retour charriot de trop => a supprimer
Sinon au dela des produits ASM: changer "Raw Integer (2"-16 units)" en "Raw Integer (unit of 2"-16 seconds)" smile.png

corrigé en r48

#7 - 15/10/2014 04:43 PM - bruno katra
- Description updated

#8 - 17/10/2014 04:17 PM - bruno katra
- Description updated
#9 - 28/10/2014 04:50 PM - bruno katra

50 : ajout de la classe pour les BP2 et implémentation.

Test sur NM : semble OK mais il faut cross checker avec le binaire + faire des tests avec les autres modes.

#10 - 28/10/2014 04:51 PM - bruno katra

- Description updated

#11 -17/11/2014 05:53 PM - bruno katra

- Description updated

valeurs BP2 sont-elles des int ou des floats ?
BP2 AUto = float "a la chust"

51 : implémentation de la conversion float "a la chust" vers vraies valeurs : compile mais valeurs fausses.

#12 - 01/12/2014 03:45 PM - bruno katra

52 : floats "a la chust" pour paramétres AUTO_An des BP2 sont écrits correctement maintenant. A confirmer avec Thomas.
Comparaison croisée faite sur le fichier binaire : 2014_9_29-15-14-12, lecture et conversion manuelle bitwise / sortie DECOM -> OK

#13 - 09/12/2014 03:23 PM - bruno katra

55 : correction du calcul du significand des BP2, mauvaise compréhension de I'algorithme par Bruno. Corrigé et validé avec Thomas.

#14 - 30/01/2015 10:58 AM - bruno katra

- Description updated

#15 - 12/02/2015 12:48 PM - bruno katra

r59 : correction du calcul des BP2 cross : validé OK

#16 - 20/02/2015 11:05 AM - bruno katra
- Description updated

#17 - 17/04/2015 07:22 PM - thomas chust

- File ctc010_2015_03 30-11_51_10.pdf added

- File calibration_swf_2015_03_30 ctc-010.results_5 added

- File calibration_bp2_swf _cross3 2015_03_30_ctc-010.png added
- File calibration_bp2_swf_auto3 2015_03_30_ctc-010.png added

- File calibration_bp2_asm_cross3 2015_03 30 _ctc-010.png added
- File calibration_bp2_asm_auto3_2015_03_30_ctc-010.png added
- File calibration_bp2_2015_03_30_ctc-010.results added

- File calibration_asm_swf _cross3 _2015_03 30 _ctc-010.png added
- File calibration_asm_swf_auto3 2015 _03 30 ctc-010.png added
- File calibration_asm 2015 _03 30 ctc-010_noecho001.txt added

Voila c'est confirmé pour de bon avec un ctc-10! En tout cas je I'espere.

La comparaison des auto- et cross-corrélations déterminées a partir des données BP2, ASM et SWF

montre un fort niveau de cohérence entre elles. Je peux méme m'avancer en disant que le passage de 16 bits a 32 bits
pour les ASM (pour I'lCD R3) sera détectable ... smile.png

Voir les plots et fichiers joints.

———————— Message transféré --------

Sujet:  Re: Nouvelle version DECOM LFR : 0r59

Date: Tue, 10 Feb 2015 15:56:04 +0100

De: Thomas Chust <thomas.chust@Ilpp.polytechnique.fr>
Pour :  Bruno Katra <bruno.katra@Ipp.polytechnigue.fr>

Hello Bruno, dans I'immédiat ca semble ok ! A confirmer avec des données BP2 corrects ...
Thomas

Le 10/02/2015 12:51, Bruno Katra a écrit :
Salut a tous !

C'est sur:

https://hephaistos.lpp.polytechnique.fr/redmine/projects/decom-lfr/wiki/Main

CHANGELOG :

- Bug fix dans la conversion des valeurs BP2 cross de unsigned int vers float entre -1 et 1.

#18 - 17/04/2015 07:23 PM - thomas chust
- File deleted (calibration_asm_2015_03_30_ctc-010_noecho001.txt)

#19 - 02/06/2015 04:50 PM - bruno katra
- % Done changed from 40 to 50

r67 : ajout des classes pour les BP1.

Les valeurs science sont vides pour l'instant.

Confirmer avec Thomas comment implémenter ELLIP, DOP, NVEGC, ....
(avec son code C)

#20 - 16/06/2015 11:28 AM - bruno katra
- Subject changed from Ajout de la gestion des paquets ASM et BP to **R2** Ajout de la gestion des paquets ASM et BP

168 :
implémentation du traitement des BP1 pour la R2

#21 - 16/06/2015 11:28 AM - bruno katra
- % Done changed from 50 to 80

Salut Bruno, je viens de faire des comparaison entre ta decom de BP1 et les BP1 calculés ici a partir des ASM. Résultat immédiat: nickel !

A+
Thomas

Le 12/06/2015 12:25, Bruno Katra a écrit :

A priori derniére version de la decom pour la R2 (hormis corrections de bugs)
Les developpements seront maintenant exclusivement orienté R3

Salut a tous !
C'est sur :
https://hephaistos.lpp.polytechnique.fr/redmine/projects/decom-Ifr/wiki/Main

CHANGELOG :
Ajout support et traitement des BP1 pour tous les modes et frequences

#22 - 16/06/2015 11:49 AM - bruno katra
- Description updated
- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Sujet clos : les modifs mineures a venir seront dans des issues séparées.
Le depot contient 2 branches maintenant : R2 et R3.
